import { OnInit } from '@angular/core';
import { DefaultEditorDirective } from '../../../lib/editor-cell-default';
import * as i0 from "@angular/core";
export declare class SwitchEditorComponent extends DefaultEditorDirective implements OnInit {
    checked: boolean;
    disable: boolean;
    onToggle(): void;
    constructor();
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SwitchEditorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SwitchEditorComponent, "switch-editor", never, {}, {}, never, never>;
}
